# xmms-nurbies.spec
%define version 1.0
%define release 1
%define name nurbies
%define prefix /usr

Summary: Nurbies! -=- OpenGLX plugin for XMMS
Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Multimedia
Source: %{name}-%{version}.tar.gz
Patch: %{name}-1.0.patch
BuildRoot: /tmp/%{name}-%{version}-root
Copyright: GPL
Url: http://horizon.pair.com/
Packager: Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org>

Requires: xmms
BuildRequires: xmms-devel

%description
This is an OpenGL plugin for XMMS - http://www.xmms.org/ -
that displays blended rectangles that rotate around to the
beat (well, PCM waveform data) of the music. The effect
is rather cool if you have a decent hardware accelerator
(TNT1, TNT2) and a relatively fast machine.

%changelog
* Sun Dec  5 1999 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org>

- initialization of spec file.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}
%patch -p1

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/xmms/Visualization
install -c -m 755 -s .libs/libnurbies.so -p $RPM_BUILD_ROOT/usr/lib/xmms/Visualization
install -c -m 755 -s .libs/libnurbies.lai -p $RPM_BUILD_ROOT/usr/lib/xmms/Visualization/libnurbies.la

%files
%defattr(-,root,root)
%doc COPYING INSTALL
/usr/lib/xmms/Visualization/*

%clean
rm -rf $RPM_BUILD_ROOT
# end of file
